package com.jkcredit.invoice.model.entity.waybill;

/**
 * 无车实体类
 */
public class NoCarWayBill {
    /**
     * id
     */
    private Long id;
    /**
     * 客户名称
     */
    public String customerName;
    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 运单编号
     */
    private String billNum;

    /**
     * 车牌号
     */
    private String plateNum;

    /**
     * 车辆颜色
     */
    private String plateColor;

    /**
     * 运单开始时间
     */
    private String startTime;

    /**
     * 运单开始地址
     */
    private String sourceAddr;

    /**
     * 运单目的地址
     */
    private String destAddr;

    /**
     * 运单预计完成时间
     */
    private String predictEndTime;

    /**
     * 运单费用 分
     */
    private Long fee;

    /**
     * 发票抬头类型 1-默认发票抬头 2-自定义发票抬头
     */
    private Integer titleType;

    /**
     * 税号
     */
    private String taxplayerCode;

    /**
     * 接口开始时间
     */
    private String intfaceStartTime;

    /**
     * 接口结束时间
     */
    private String interfaceEndTime;

    /**
     * 最后一次运单更新时间
     */
    private String updateTime;

    /**
     * 运单转态  1-指令开始 2-开票中  3-开票完成 4 超时作废
     */
    private int billwayStatus;

    /**
     * 运单类型 0-实时运单 1-历史运单
     */
    private int hisFlag = 0;

    /**
     * 行云公司编号
     */
    private String companyNum;

    /**
     * 公司地址
     */
    private String companyAdress;

    /**
     * 开户行
     */
    private String companyBank;

    /**
     * 开户行账号
     */
    private String companyBankAcc;

    /**
     * 单位电话
     */
    private String companyTel;
    /***下边数据查询使用***/
    private String startBegin;

    private String startEnd;

    private String endBegin;

    private String endEnd;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getBillNum() {
        return billNum;
    }

    public void setBillNum(String billNum) {
        this.billNum = billNum;
    }

    public String getPlateNum() {
        return plateNum;
    }

    public void setPlateNum(String plateNum) {
        this.plateNum = plateNum;
    }

    public String getPlateColor() {
        return plateColor;
    }

    public void setPlateColor(String plateColor) {
        this.plateColor = plateColor;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getSourceAddr() {
        return sourceAddr;
    }

    public void setSourceAddr(String sourceAddr) {
        this.sourceAddr = sourceAddr;
    }

    public String getDestAddr() {
        return destAddr;
    }

    public void setDestAddr(String destAddr) {
        this.destAddr = destAddr;
    }

    public String getPredictEndTime() {
        return predictEndTime;
    }

    public void setPredictEndTime(String predictEndTime) {
        this.predictEndTime = predictEndTime;
    }

    public Long getFee() {
        return fee;
    }

    public void setFee(Long fee) {
        this.fee = fee;
    }

    public Integer getTitleType() {
        return titleType;
    }

    public void setTitleType(Integer titleType) {
        this.titleType = titleType;
    }

    public String getTaxplayerCode() {
        return taxplayerCode;
    }

    public void setTaxplayerCode(String taxplayerCode) {
        this.taxplayerCode = taxplayerCode;
    }

    public String getIntfaceStartTime() {
        return intfaceStartTime;
    }

    public void setIntfaceStartTime(String intfaceStartTime) {
        this.intfaceStartTime = intfaceStartTime;
    }

    public String getInterfaceEndTime() {
        return interfaceEndTime;
    }

    public void setInterfaceEndTime(String interfaceEndTime) {
        this.interfaceEndTime = interfaceEndTime;
    }

    public int getBillwayStatus() {
        return billwayStatus;
    }

    public void setBillwayStatus(int billwayStatus) {
        this.billwayStatus = billwayStatus;
    }

    public int getHisFlag() {
        return hisFlag;
    }

    public void setHisFlag(int hisFlag) {
        this.hisFlag = hisFlag;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getCompanyAdress() {
        return companyAdress;
    }

    public void setCompanyAdress(String companyAdress) {
        this.companyAdress = companyAdress;
    }

    public String getCompanyBank() {
        return companyBank;
    }

    public void setCompanyBank(String companyBank) {
        this.companyBank = companyBank;
    }

    public String getCompanyBankAcc() {
        return companyBankAcc;
    }

    public void setCompanyBankAcc(String companyBankAcc) {
        this.companyBankAcc = companyBankAcc;
    }

    public String getCompanyTel() {
        return companyTel;
    }

    public void setCompanyTel(String companyTel) {
        this.companyTel = companyTel;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getStartBegin() {
        return startBegin;
    }

    public void setStartBegin(String startBegin) {
        this.startBegin = startBegin;
    }

    public String getStartEnd() {
        return startEnd;
    }

    public void setStartEnd(String startEnd) {
        this.startEnd = startEnd;
    }

    public String getEndBegin() {
        return endBegin;
    }

    public void setEndBegin(String endBegin) {
        this.endBegin = endBegin;
    }

    public String getEndEnd() {
        return endEnd;
    }

    public void setEndEnd(String endEnd) {
        this.endEnd = endEnd;
    }
}
